Error
A valid request URL is required to generate request examples{
"project_id": "project_id",
"name": "name",
"annotations": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"id": "id",
"spec": {
"needs_sync_before_use": true,
"storage_class": "storage_class",
"size": "size",
"source": {
"git_repo_source": {
"repo_url": "repo_url",
"revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"remote_source": {
"path": "path",
"current_directory_hash": "current_directory_hash"
},
"build_source": [
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
},
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
}
],
"source_type": null
},
"access_mode": null
},
"labels": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"status": {
"phase": "phase",
"build_artifact_syncs": [
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
},
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
}
],
"last_synced_git_revision": "last_synced_git_revision",
"last_remote_sync_hash": "last_remote_sync_hash",
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
}Secrets, volumes, and object stores
Create a new volume
POST
/
api
/
v1
/
organizations
/
{org_id}
/
projects
/
{project_name}
/
volumes
Error
A valid request URL is required to generate request examples{
"project_id": "project_id",
"name": "name",
"annotations": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"id": "id",
"spec": {
"needs_sync_before_use": true,
"storage_class": "storage_class",
"size": "size",
"source": {
"git_repo_source": {
"repo_url": "repo_url",
"revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"remote_source": {
"path": "path",
"current_directory_hash": "current_directory_hash"
},
"build_source": [
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
},
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
}
],
"source_type": null
},
"access_mode": null
},
"labels": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"status": {
"phase": "phase",
"build_artifact_syncs": [
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
},
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
}
],
"last_synced_git_revision": "last_synced_git_revision",
"last_remote_sync_hash": "last_remote_sync_hash",
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization
The name of the project
Body
application/json
Show child attributes
Show child attributes
Example:
{
"needs_sync_before_use": true,
"storage_class": "storage_class",
"size": "size",
"source": {
"git_repo_source": {
"repo_url": "repo_url",
"revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"remote_source": {
"path": "path",
"current_directory_hash": "current_directory_hash"
},
"build_source": [
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
},
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
}
],
"source_type": null
},
"access_mode": null
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"phase": "phase",
"build_artifact_syncs": [
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
},
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
}
],
"last_synced_git_revision": "last_synced_git_revision",
"last_remote_sync_hash": "last_remote_sync_hash",
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
Response
Volume created successfully
Show child attributes
Show child attributes
Example:
{
"needs_sync_before_use": true,
"storage_class": "storage_class",
"size": "size",
"source": {
"git_repo_source": {
"repo_url": "repo_url",
"revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"remote_source": {
"path": "path",
"current_directory_hash": "current_directory_hash"
},
"build_source": [
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
},
{
"destination_path": "destination_path",
"resource_ref": "resource_ref",
"source_path": "source_path"
}
],
"source_type": null
},
"access_mode": null
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"phase": "phase",
"build_artifact_syncs": [
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
},
{
"build_id": "build_id",
"resource_name": "resource_name",
"status": "status"
}
],
"last_synced_git_revision": "last_synced_git_revision",
"last_remote_sync_hash": "last_remote_sync_hash",
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
⌘I